﻿@model WebApplication1.ViewModels.CommentViewModel

<div id="result">
    <table>
        <tr>
            <th></th>
            <th>Автор</th>
            <th>Сообщение</th>
            <th>Дата ответа</th>
        </tr>

        @foreach (var item in Model.IndexViewModel.Comments)
        {

    <tr>
        <td><img src="~/@item.User.AvatarPath" /></td>
        <td><h4>@item.AuthorName</h4></td>
        <td>
            <p>@item.Text</p>
        </td>
        <td><span>@item.CommentDate</span></td>
    </tr>
        }
    </table>
    @if (Model.IndexViewModel.PageViewModel.HasPrevPage)
    {
        <button onclick="pagination(@Model.Topic.Id,@(Model.IndexViewModel.PageViewModel.PageNumber - 1))" class="btn btn-dark btn">
            Назад
        </button>
    }
    @if (Model.IndexViewModel.PageViewModel.HasNextPage)
    {
        <button onclick="pagination(@Model.Topic.Id, @(Model.IndexViewModel.PageViewModel.PageNumber + 1))"
                class="btn btn-dark btn">
            Вперед
        </button>
    }
</div>

